summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorRoman Shaposhnik <roman@shaposhnik.org>2003-04-15 22:29:37 +0000
committerRoman Shaposhnik <roman@shaposhnik.org>2003-04-15 22:29:37 +0000
commit6e023978cf10de75eb8cb20d79b91f721fb7662a (patch)
treeef2b00785b6ee508afb5f8e692b86a6292b08bca /tests
parentdeabd4fdde195c65362f3e3bb27a5fef38fabc26 (diff)
Changes for SPARC/Solaris compatibility. Now it should be possible to
build and test ffmpeg on SPARC/Solaris 8+ out of the box. Originally committed as revision 1778 to svn://svn.ffmpeg.org/ffmpeg/trunk
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile2
-rwxr-xr-xtests/regression.sh12
2 files changed, 11 insertions, 3 deletions
diff --git a/tests/Makefile b/tests/Makefile
index 82c671e699..2508456ac2 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -73,4 +73,4 @@ dsptest: dsptest.c $(DSPDEPS)
clean:
rm -rf vsynth1 vsynth2 data
- rm -f asynth1.sw *~ audiogen videogen
+ rm -f asynth1.sw *~ audiogen videogen rotozoom tiny_psnr
diff --git a/tests/regression.sh b/tests/regression.sh
index 227c413739..eda779e485 100755
--- a/tests/regression.sh
+++ b/tests/regression.sh
@@ -4,6 +4,14 @@
#
#
#set -x
+# Even in the 21st century some diffs are not supporting -u.
+diff -u $0 $0 > /dev/null 2>&1
+if [ $? -eq 0 ]; then
+ diff_cmd="diff -u"
+else
+ diff_cmd="diff"
+fi
+
set -e
datadir="./data"
@@ -61,7 +69,7 @@ do_ffmpeg()
shift
echo $ffmpeg -bitexact -dct_algo 1 -idct_algo 2 $*
$ffmpeg -bitexact -dct_algo 1 -idct_algo 2 -benchmark $* > $datadir/bench.tmp 2> /tmp/ffmpeg$$
- grep -v -e ^Stream -e ^Press -e ^Input -e ^Output -e ^frame -e '^ Stream' /tmp/ffmpeg$$ || true
+ egrep -v "^(Stream|Press|Input|Output|frame| Stream)" /tmp/ffmpeg$$ || true
rm -f /tmp/ffmpeg$$
md5sum -b $f >> $logfile
if [ $f = $raw_dst ] ; then
@@ -377,7 +385,7 @@ fi
-if diff -u $logfile $reffile ; then
+if $diff_cmd $logfile $reffile ; then
echo
echo Regression test succeeded.
exit 0